/**
 * 文件名工具方法
 * @param filePath 文件路径
 * @param replaceValue 替换
 * @returns 文件转换对象
 */
export const routeFilenameHelper = (filePath: string, replaceValue = '') => {
	// 匹配文件列表
	const fileMatchList = filePath.match(/\/([^/]+)$/);
	// 列表不为空
	if (fileMatchList !== null) {
		const [_, fileWithExtension] = fileMatchList;
		// 文件名
		const filename = fileWithExtension.replace(/\.\w+$/, '');
		// 路径名带文件名
		const fullPath = `/${filePath.replace(/^\/src\/views\/|(\.\w+)?$/g, '')}`;

		// 路径下划线名
		const name = fullPath.replace(/\/(index|page)|^\//g, '').replace(/\//g, '_');
		// 路径名不带文件名
		const path = fullPath.replace(/\/[^/]*$/, '');
		// 替换后的名字
		const replaceName = filePath.replace(/\.\//, replaceValue);

		return { fileWithExtension, filename, name, fullPath, path, filePath, replaceName };
	}
};
